package bot

import (
	"git.belvedersky.ru/common/logger/service"
	"github.com/puzpuzpuz/xsync"
)

type Bots struct {
	log *service.LoggerService // Логгер
	I   *xsync.MapOf[*Bot]
}

func NewMap(Log *service.LoggerService) *Bots {
	return &Bots{
		log: Log,
		I:   xsync.NewMapOf[*Bot](),
	}
}
